Google will soon hide neglected apps in the Play Store

Google Play is going ahead with its war on outdated apps. The Play Store has had a rolling minimum of Android version support for a while now; Developers have to use Target API Level that is 1 year old or later, otherwise they won’t be able to update their apps. Now, Google Announce Second rolling minimum – If the target app’s API level is 2 years old, the app will be hidden from Play Store listings. This means that users who are looking for a new app to install will not see abandoned apps.

Android’s Target API Level system is a bit like the backward compatibility setting for Android apps. Each new version of Android is defined by a new API level, which rises by one with each release. Currently, Android 12L is API level 32, and Android 13 will be API level 33. Each version of Android comes with new features and security restrictions for app developers, but since Google doesn’t want to break old apps with each release, the API makes the level system available for app developers “Target” the version of Android features and the limitations they wish to operate under.

The target API level has nothing to do with an extension minimum The Android version the app will be running on (this will be the setting for the second big app, “Minimum API Level”); It only allows apps to say, “I’m coded for compliance with Android 12 features and limitations, if available.” In this case, the app will be able to access Android 12 features and apply Android 12 security restrictions to it, and it will work normally on older versions.

By November 2022, Android 11 will be two years old, so apps targeting this operating system will be hidden from the Play Store.

By November 2022, Android 11 will be two years old, so apps targeting this operating system will be hidden from the Play Store.

google

Before Google imposed these Play Store restrictions, the target API level was a voluntary system. Targeting a low API level has been a viable strategy for a developer like Facebook, who probably doesn’t care about new features and wants to work with as few restrictions as possible. Malware may also target low levels of the API. Google Play Target API Rules, Launched in 2018Make sure to apply new restrictions to potentially harmful apps that require data in the Play Store.

The new rules will start on November 1, 2022. At this point, Android 13 (API level 33) should be the latest version. The Play Store will stop accepting updates for apps that don’t target at least Android 12 (API level 31), which will be a year old, although those apps will still appear normally on the Play Store. With the new rule, the Play Store will also hide apps that don’t target at least Android 11 (API level 30), which is two years old. Developers can update their apps to a supported version to remove restrictions.

Incompatible apps “will not be available for detection or installation for new users with devices running Android OS versions higher than the apps target API level.” Users who previously installed an app will still be able to find and install it again, but the acquisition of new users will be discontinued. Also note that the hiding only happens if you’re running a newer version of Android than the old app you’re trying to download.

The result is that Google Play search results and category listings should only display apps supported by the developer, making it easier to find high-quality apps. Developers have two years to update their apps, and that doesn’t even include the eight months they get from Android’s public developer preview program. It seems that only deprecated and deprecated apps will be hidden from the Play Store.

See also  Stranger of Paradise: Final Fantasy Origin Demo is out now on PS5 and PS4 for a limited time

Leave a Reply

Your email address will not be published.